Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 756910 (CVE-2020-29129, CVE-2020-29130) - <net-libs/libslirp-4.3.1-r1: Multiple vulnerabilities (CVE-2020-{29129,29130})
Summary: <net-libs/libslirp-4.3.1-r1: Multiple vulnerabilities (CVE-2020-{29129,29130})
Status: RESOLVED FIXED
Alias: CVE-2020-29129, CVE-2020-29130
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [noglsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-26 20:17 UTC by Sam James
Modified: 2021-02-20 19:42 UTC (History)
1 user (show)

See Also:
Package list:
net-libs/libslirp-4.3.1-r1
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-11-26 20:17:41 UTC
* CVE-2020-29129

Description:
"ncsi.c in libslirp through 4.3.1 has a buffer over-read because it tries to read a certain amount of header data even if that exceeds the total packet length."

* CVE-2020-29130

Description:
"slirp.c in libslirp through 4.3.1 has a buffer over-read because it tries to read a certain amount of header data even if that exceeds the total packet length."

----
URL & patch for both: https://lists.freedesktop.org/archives/slirp/2020-November/000115.html
Comment 1 Sam James archtester gentoo-dev Security 2020-11-26 20:17:57 UTC
Please apply if it looks OK to you, thanks!
Comment 2 Larry the Git Cow gentoo-dev 2020-11-26 20:52:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d30c6855d7a1a594e6259685a4dc22e1bb6acf93

commit d30c6855d7a1a594e6259685a4dc22e1bb6acf93
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-11-26 20:50:17 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-11-26 20:52:42 +0000

    net-libs/libslirp: Revbump to 4.3.1-r1
    
    Fixes CVE-2020-29129 and CVE-2020-29130.
    
    Bug: https://bugs.gentoo.org/756910
    Package-Manager: Portage-3.0.10, Repoman-3.0.2
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 .../libslirp-4.3.1-bug-756910-check-pkt_len.patch  | 48 ++++++++++++++++++++++
 net-libs/libslirp/libslirp-4.3.1-r1.ebuild         | 39 ++++++++++++++++++
 2 files changed, 87 insertions(+)
Comment 3 Sam James archtester gentoo-dev Security 2020-11-26 21:09:47 UTC
Thanks! Let us know when ready to stable.
Comment 4 Sam James archtester gentoo-dev Security 2020-12-14 09:17:32 UTC
Ready?
Comment 5 Zac Medico gentoo-dev 2020-12-14 10:11:29 UTC
Ready.
Comment 6 Thomas Deutschmann gentoo-dev Security 2020-12-14 20:19:13 UTC
x86 stable
Comment 7 Sam James archtester gentoo-dev Security 2020-12-15 06:28:52 UTC
(In reply to Zac Medico from comment #5)
> Ready.

Thanks!

arm64 stable
Comment 8 Sam James archtester gentoo-dev Security 2020-12-15 10:34:45 UTC
amd64 done
Comment 9 Sergei Trofimovich (RETIRED) gentoo-dev 2020-12-18 10:39:57 UTC
ppc64 stable
Comment 10 John Helmert III gentoo-dev Security 2020-12-18 18:28:51 UTC
Please cleanup.
Comment 11 Larry the Git Cow gentoo-dev 2020-12-19 00:07:11 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdf57f779c7c6d4950229619bfbc46b33a6d69e4

commit cdf57f779c7c6d4950229619bfbc46b33a6d69e4
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-12-19 00:05:26 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-12-19 00:06:29 +0000

    net-libs/libslirp: remove vulnerable 4.3.1 for bug 756910
    
    Bug: https://bugs.gentoo.org/756910
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 net-libs/libslirp/libslirp-4.3.1.ebuild | 35 ---------------------------------
 1 file changed, 35 deletions(-)
Comment 12 John Helmert III gentoo-dev Security 2020-12-19 05:31:33 UTC
Thanks Zac. Needs vote.
Comment 13 Thomas Deutschmann gentoo-dev Security 2021-02-20 19:42:14 UTC
GLSA Vote: No

Repository is clean, all done!